Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1362114

Summary: cheese hang in background after quit on T460p
Product: [Fedora] Fedora Reporter: Aleksandar Kostadinov <akostadi>
Component: cheeseAssignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: amigadave, dev.vsht, hdegoede, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-31 15:18:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Aleksandar Kostadinov 2016-08-01 10:13:21 UTC
Description of problem:
On Lenovo T460p, running cheese works. But closing the window still leaves cheese running in the background with 100% CPU usage.
I need to use `killall cheese` to get rid of it and CPU immediately goes back to normal.

Version-Release number of selected component (if applicable):
cheese-3.20.2-1.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1. start cheese
2. observe sleepy face
3. close window

Actual results:
one CPU core on 100% until `killall cheese` 

Expected results:
CPU usage back to normal, cheese process terminated by itself

Additional info:
Have not observed this behavior on T530 but I have not tried it after fedora 24 upgrade so not sure if it is related to hardware differences or pure software issue.

Comment 1 Vladyslav Shtabovenko 2017-05-23 17:50:18 UTC
I'm running Fedora 25 (4.10.15-200.fc25.x86_64) on a T460p (20FW000DPG) and I cannot reproduce this bug. Cheese (version 3.22.1) works ok (it needs around 10 seconds to initialize the camera, though). Once I close the window, there are no cheese processes left.

So I guess that it was a software issue that got fixed in Fedora 25.

Comment 2 Fedora End Of Life 2017-07-25 22:10:57 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Aleksandar Kostadinov 2017-07-31 15:18:01 UTC
I can't reproduce on fedora 26.